Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.management.configuration
Interface WTCImportMBean

public interface WTCImportMBean
extends ConfigurationMBean

This interface provides access to the WTC import configuration attributes. The methods defined herein are applicable for WTC configuration at the WLS domain level.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Fields inherited from class weblogic.management.configuration.ConfigurationMBean
`CACHING_STUB_SVUID, DEFAULT_EMPTY_BYTE_ARRAY`

Method Summary
`java.lang.String` | `getLocalAccessPoint()` Gets the localAccessPoint attribute of the WTCImportMBean object
`java.lang.String` | `getRemoteAccessPointList()` Gets the remoteAccessPointList attribute of the WTCImportMBean object
`java.lang.String` | `getRemoteName()` Gets the remoteName attribute of the WTCImportMBean object
`java.lang.String` | `getResourceName()` Gets the resourceName attribute of the WTCImportMBean object
`void` | `setLocalAccessPoint(java.lang.String LocalAccessPoint)` Defines the name of the local access point that imports the service.
`void` | `setRemoteAccessPointList(java.lang.String RemoteAccessPointList)` Defines a comma-separated failover list that identifies the remote Tuxedo access points through which resources are imported.
`void` | `setRemoteName(java.lang.String RemoteName)` Defines the remote name of the service.
`void` | `setResourceName(java.lang.String ResourceName)` Defines the name used to identify an imported service.

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`freezeCurrentValue, getNotes, restoreDefaultValue, setComments, setDefaultedMBean, setNotes, setPersistenceEnabled`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### setResourceName

    public void setResourceName(java.lang.String ResourceName)
                         throws javax.management.InvalidAttributeValueException

  Defines the name used to identify an imported service.

  This name must be unique within defined Imports. This allows you to define unique configurations having the same Remote Name.

  A dynamic MBean attribute
  Legal NULL: false
  Parameters:
    `ResourceName` - the name for the remote domain access point
  Throws:
    javax.management.InvalidAttributeValueException -

### getResourceName

    public java.lang.String getResourceName()

  Gets the resourceName attribute of the WTCImportMBean object

  A dynamic MBean attribute
  Returns:
    The resourceName value

### setLocalAccessPoint

    public void setLocalAccessPoint(java.lang.String LocalAccessPoint)
                             throws javax.management.InvalidAttributeValueException

  Defines the name of the local access point that imports the service.

  A dynamic MBean attribute
  Legal NULL: false
  Parameters:
    `LocalAccessPoint` - the name for the local domain access point
  Throws:
    javax.management.InvalidAttributeValueException -

### getLocalAccessPoint

    public java.lang.String getLocalAccessPoint()

  Gets the localAccessPoint attribute of the WTCImportMBean object

  A dynamic MBean attribute
  Returns:
    The localAccessPoint value

### setRemoteAccessPointList

    public void setRemoteAccessPointList(java.lang.String RemoteAccessPointList)
                                  throws javax.management.InvalidAttributeValueException

  Defines a comma-separated failover list that identifies the remote Tuxedo access points through which resources are imported.

  Example: TDOM1,TDOM2,TDOM3

  A dynamic MBean attribute
  Legal NULL: false
  Parameters:
    `RemoteAccessPointList` - list of remote Tuxedo access point names
  Throws:
    javax.management.InvalidAttributeValueException -

### getRemoteAccessPointList

    public java.lang.String getRemoteAccessPointList()

  Gets the remoteAccessPointList attribute of the WTCImportMBean object

  A dynamic MBean attribute
  Returns:
    The remoteAccessPointList value

### setRemoteName

    public void setRemoteName(java.lang.String RemoteName)
                       throws javax.management.InvalidAttributeValueException

  Defines the remote name of the service. If not specified, the ResourceName attribute is used.

  A dynamic MBean attribute
  Parameters:
    `RemoteName` - the remote interface name to use for this service
  Throws:
    javax.management.InvalidAttributeValueException -

### getRemoteName

    public java.lang.String getRemoteName()

  Gets the remoteName attribute of the WTCImportMBean object

  A dynamic MBean attribute
  Returns:
    The remoteName value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD